@echo off

call validate_iffxiso.bat

if not exist extracted  mkdir extracted
ffxlba -e -fs "%iffxiso%"  wiso\lGraphic.txt  extracted\

if not exist extdec  mkdir  extdec
FOR %%i IN (extracted\*.gwh.c?) DO ffxcxd.exe   "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.map.c?) DO ffxcxd.exe   "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.gp.c?)  DO ffxcxd.exe   "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.gt.c?)  DO ffxcxd.exe   "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.gu.c?)  DO ffxcxd.exe   "%%i"  "extdec\%%~ni"

